package coupon

// CouponRepository 优惠券仓储接口
type CouponRepository interface {
	// Create 创建优惠券
	Create(coupon *Coupon) error

	// GetByID 根据ID获取优惠券
	GetByID(id uint64) (*Coupon, error)

	// List 获取优惠券列表
	List(page, size int) ([]*Coupon, int64, error)

	// ListByUserID 获取用户的优惠券列表
	ListByUserID(userID uint64) ([]*Coupon, error)

	// Update 更新优惠券
	Update(coupon *Coupon) error

	// Delete 删除优惠券
	Delete(id uint64) error
}
