package price

import (
	"cls-server/pkg/util/page"
	"xorm.io/builder"
)

// PriceRepository 价格管理仓储接口
type PriceRepository interface {
	// Save 保存价格记录
	Save(price *Price) error

	// FindByID 根据ID查找价格记录
	FindByID(id uint64) (*Price, error)

	// FindByTargetID 根据目标ID查找价格记录
	FindByTargetID(targetID uint64, priceType PriceType) (*Price, error)

	// FindAll 查询价格记录列表
	FindAll(page *page.Page, conds []builder.Cond) error

	FindColumnAll(pp *page.Page, conds []builder.Cond) error

	// Update 更新价格记录
	Update(price *Price) error

	// Delete 删除价格记录
	Delete(id uint64) error
}
