package article

import (
	"cls-server/internal/application/article"
	middleware "cls-server/internal/infrastructure/middleware/auth"

	"cls-server/internal/interfaces"
	"cls-server/pkg/logger"
	"github.com/gin-gonic/gin"
)

type ArticleHandler struct {
	service        *article.ArticleService
	authMiddleware *middleware.AuthMiddleware
	log            logger.Logger
}

var _ interfaces.Handler = (*ArticleHandler)(nil)

func NewArticleHandle(service *article.ArticleService, authMiddleware *middleware.AuthMiddleware, log logger.New) *ArticleHandler {
	return &ArticleHandler{service, authMiddleware, log("cls:interfaces:articleHandler")}
}

func (a *ArticleHandler) RegisterRouters(router gin.IRouter) {
	articleHandler := router.Group("/article")
	{
		articleHandler.GET("/all", nil)

	}
}
