package modules

import (
	service "cls-server/internal/application/admin"
	repo "cls-server/internal/infrastructure/persistence/admin"
	"cls-server/internal/interfaces"
	"cls-server/internal/interfaces/admin"
	"go.uber.org/fx"
)

var AdminModule = fx.Module("AdminModule",
	fx.Provide(
		interfaces.AsHandler(admin.NewAdminHandler),
		service.NewAdminService,
		repo.NewAdminRepositoryORM,
	))
