package modules

import (
	appAuth "cls-server/internal/application/auth"
	"cls-server/internal/application/crypto"
	"cls-server/internal/infrastructure/persistence/auth"
	"cls-server/internal/interfaces"
	handle "cls-server/internal/interfaces/auth"
	"go.uber.org/fx"
)

var AuthModule = fx.Module("AuthModule",
	fx.Provide(
		interfaces.AsHandler(handle.NewAuthHandler),
	),
	fx.Provide(
		appAuth.NewCaptchaService,
		auth.NewAuthRepositoryORM,
		crypto.NewPasswordHashService,
		crypto.NewPhoneEncryptionService,
		appAuth.NewAuthService,
	),
)
