package modules

import (
	service "cls-server/internal/application/coupon"
	repo "cls-server/internal/infrastructure/persistence/coupon"
	"cls-server/internal/interfaces"
	"cls-server/internal/interfaces/coupon"
	"go.uber.org/fx"
)

var CouponModule = fx.Module("couponModule",
	fx.Provide(
		interfaces.AsHandler(coupon.NewCouponHandler),
		service.NewCouponService,
		repo.NewCouponRepository,
	))
