package modules

import (
	"cls-server/internal/domain/admin"
	"cls-server/internal/domain/coupon"
	"cls-server/internal/domain/gift_log"
	"cls-server/internal/domain/price"
	"cls-server/pkg/logger"
	"cls-server/pkg/xorm_engine"
	"go.uber.org/fx"
)

var Module = fx.Module("cls-server",
	fx.Options(
		ArticleModule,
		ColumnModule,
		UserModule,
		AuthModule,
		AdminModule,
		PriceModule,
		CouponModule,
	),
	fx.Invoke(registerModels),
)

func registerModels(engine *xorm_engine.Engine, logger logger.New) {
	log := logger("cls:modules:module")

	//路诚内建表
	if err := engine.Sync2(
		&admin.Admin{},
		&gift_log.GiftLog{},
		&price.Price{},
		&coupon.Coupon{},
	); err != nil {
		log.Error(err)
	}
}
