package modules

import (
	service "cls-server/internal/application/price"
	repo "cls-server/internal/infrastructure/persistence/price"
	"cls-server/internal/interfaces"
	"cls-server/internal/interfaces/price"
	"go.uber.org/fx"
)

var PriceModule = fx.Module("PriceModule",
	fx.Provide(
		interfaces.AsHandler(price.NewPriceHandler),
		service.NewPriceService,
		repo.NewPriceRepositoryORM,
	))
