package modules

import (
	service "cls-server/internal/application/user"
	repo "cls-server/internal/infrastructure/persistence/user"
	"cls-server/internal/interfaces"
	"cls-server/internal/interfaces/user"
	"go.uber.org/fx"
)

var UserModule = fx.Module("UserModule",
	fx.Provide(
		interfaces.AsHandler(user.NewUserHandler),
	),
	fx.Provide(
		service.NewUserService,
		repo.NewUserRepositoryORM,
		repo.NewUserGiftLogAggregateRepositoryORM,
	),
)
