import {CanActivateFn, Router} from '@angular/router';
import {getLoggedIn} from "./auth.service";
import {map, take} from "rxjs/operators";
import {inject} from "@angular/core";

export const authGuard: CanActivateFn = (route, state) => {
  const router = inject(Router)
  return getLoggedIn().pipe(
    map(authed => {
      if(!authed) {
        router.navigate(['/auth','login'])
        return false
      }
      return true
    }),
    take(1)
  );
};

