import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {Observable} from "rxjs";
import {Column} from "../../core/models/column";
import {extractData, Page} from "../../core/models/page";
import {HttpUtils} from "../../core/until/http.utils";
import {map} from "rxjs/operators";

@Injectable({
  providedIn: 'root'
})
export class ColumnService {

  constructor(private http:HttpClient) { }

  page(searchParams: { [key: string]: string }):Observable<Page<Column>>{
    return this.http.get<Page<Column>>('/api/column/page',{params:HttpUtils.getSearchParams(searchParams)}).pipe(
      map(response=> extractData<Column>(response))
    )
  }
  save(column:Column):Observable<null>{
    return this.http.post<null>('/api/column/save',column)
  }

}
