import { Component } from '@angular/core';
import {

  NzLayoutModule
} from "ng-zorro-antd/layout";
import {NzIconModule} from "ng-zorro-antd/icon";
import {NzMenuModule} from "ng-zorro-antd/menu";
import {HomeComponent} from "./home/home.component";
import {ColumnComponent} from "./column/column.component";
import {PriceComponent} from "./price/price.component";
import {UserComponent} from "./user/user.component";
import {NzTabComponent, NzTabSetComponent, NzTabsModule} from "ng-zorro-antd/tabs";
import {NgFor, NgIf} from "@angular/common";
import {NzCardModule} from "ng-zorro-antd/card";

@Component({
  selector: 'app-page',
  standalone: true,
  imports: [
    NzIconModule,
    NzMenuModule,
    NzLayoutModule,
    HomeComponent,
    ColumnComponent,
    PriceComponent,
    UserComponent,
    NzTabSetComponent,
    NzTabComponent,
    NzTabsModule, NgFor,NgIf,
    NzCardModule],
  templateUrl: './page.component.html',
  styleUrls:['./page.component.css']
})
export class PageComponent {
  menus = [
    { title: '首页', component: 'HomeComponent' },
    { title: '专栏管理', component: 'ColumnComponent' },
    { title: '价格管理', component: 'PriceComponent' },
    { title: '用户管理', component: 'UserComponent' }
  ];

  tabs: { title: string; component: string }[] =
    [{ title: '首页', component: 'HomeComponent' }];
  selectedTab = this.tabs[0]; // 默认选中首页

  selectedIndex = 0;
  // 打开新的 Tab
  openTab(menu: { title: string; component: string }) {
    const exists = this.tabs.find(tab => tab.component === menu.component);
    if (!exists) {
      this.tabs.push(menu);
    }
    this.selectedIndex = this.tabs.findIndex(tab => tab.component === menu.component);
    this.selectedTab = this.tabs[this.selectedIndex];

  }

  // 关闭 Tab
  removeTab({ index }: { index: number }) {
    this.tabs.splice(index, 1);
    if (this.selectedIndex >= this.tabs.length) {
      this.selectedIndex = this.tabs.length - 1;
    }
    this.selectedTab = this.tabs[this.selectedIndex] ;

  }
  // 监听选项卡切换
  onTabChange(index: number) {
    this.selectedIndex = index;
    this.selectedTab = this.tabs[index];
  }
}
